# Compare and deploy a template to a tenant Compare and deploy a template to a tenant. Endpoint: POST /deployment-manager/deployments/templates Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you do not need to set this header. ## Request fields (multipart/form-data): - `name` (string, required) Deployment's name - `description` (string, required) Deployment's description. - `sendEmail` (boolean, required) Specifies if an email should be sent. - `emails` (string) If sendEmail parameter is set to true, comma separated values of emails can be specified. Example email1@test.com,email2@test.com. - `comments` (string) Content of the email to be sent. - `template` (string, required) Template file. ## Response 200 fields (application/json): - `id` (string) ID of the Deployment Manager migration process - `status` (string) Status of the Deployment Manager migration process Enum: "DEPLOYING", "REVERTING", "PARTIALLY-REVERTED", "FAILED", "ROLLBACK-FAILED", "REVERTED", "COMPARING", "SUBMITTED", "SKIPPED", "IDENTICAL", "COMPARE-DONE", "COMPARE-FAILED", "CANCELLED"